org.eclipse.actf.visualization.eval.guideline

## Interface IGuidelineSlectionChangedListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  IEvaluationItem

    public interface IGuidelineSlectionChangedListener
    extends EventListener

This listener interface may be implemented in order to receive a `GuidelineSelectionChangedEvent` notification when user changes a selection of target guidelines and/or metrics.

See Also:
  `GuidelineHolder.addGuidelineSelectionChangedListener(IGuidelineSlectionChangedListener)`, `GuidelineHolder.removeGuidelineSelectionChangedListener(IGuidelineSlectionChangedListener)`

### Method Summary

Methods
`void` `selectionChanged(GuidelineSelectionChangedEvent e)` This method is called when user changes a selection of target guidelines and/or metrics.

### Method Detail

#### selectionChanged

    void selectionChanged(GuidelineSelectionChangedEvent e)

This method is called when user changes a selection of target guidelines and/or metrics.

Parameters:
  `e` - the `GuidelineSelectionChangedEvent`